%global aap_version 2.4

%global ui_repo ansible-hub-ui
%global commitId 002ba7d38b91cf4ed61d6ac2e606c39c3cecffd1

Name:           automation-hub
Version:        4.7.1
Release:        2%{?dist}
Summary:        automation-hub plugin for the Pulp Project

License:        GPLv2+
URL:            https://access.redhat.com/products/red-hat-ansible-automation-platform/
Source0:        ansible-hub-ui-002ba7d38b91cf4ed61d6ac2e606c39c3cecffd1.tar.gz
Source1:        downstream.webpack.config.js
Source2:        assets_20220705.tar.gz
Source3:        js_bundled_dep.txt

BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  npm
BuildRequires:  python%{python3_pkgversion}-rpm-macros

Requires:       ansible-automation-platform-common = %{aap_version}
Requires:       gnupg2
Requires:       pinentry
Requires:       pulpcore-selinux
Requires:       python%{python3_pkgversion}-galaxy-ng >= %{version}
Requires:       skopeo
Requires:       sos

# JS dependencies
%include %{SOURCE3}

%description
%{summary}

%prep
%setup -n %{ui_repo}-%{commitId}
cp %{SOURCE1} config/standalone.prod.webpack.config.js
tar -C static/images -xf %{SOURCE2}
# ls-lint is a binary npm module that is not fully multi-arch
# this module is only needed for dev purpose
sed -i -e '/@ls-lint\/ls-lint/d' package.json

%build
npm config set registry https://repository.engineering.redhat.com/nexus/repository/registry.npmjs.org/
npm config set strict-ssl false

CYPRESS_INSTALL_BINARY=0 npm install
npm run gettext:compile
HUB_UI_VERSION=%{version} npm run build-standalone

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r dist/* %{buildroot}%{_datadir}/%{name}

%files
%attr(-,pulp,pulp) %{_datadir}/%{name}

%changelog
* Mon Jul 03 2023 Satoe Imaishi <simaishi@redhat.com> - 4.7.1-2
- Add pinentry dependency

* Tue May 30 2023 Satoe Imaishi <simaishi@redhat.com> - 4.7.1-1
- Update to 4.7.1

* Tue Apr 04 2023 Satoe Imaishi <simaishi@redhat.com> - 4.6.4-1
- Update to 4.6.4

* Wed Dec 07 2022 Satoe Imaishi <simaishi@redhat.com> - 4.6.3-1
- Update to 4.6.3

* Fri Oct 21 2022 Satoe Imaishi <simaishi@redhat.com> - 4.6.2-1
- Initial Build
